package com.bonus.core.account.vo;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class AccRechargeHistVO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("所属组织id")
   private Long orgId;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("充值id")
   private Long rechargeId;
   @ApiModelProperty("账户id")
   private Long accId;
   @ApiModelProperty("摘要id")
   private Long summId;
   @ApiModelProperty("账户类型")
   private Integer accType;
   @ApiModelProperty("发生金额 单位为分")
   private Long amount;
   @ApiModelProperty("账户余额 单位为分")
   private Long accBal;
   @ApiModelProperty("交易类型")
   private Integer tradeType;
   @ApiModelProperty("交易时间")
   private LocalDateTime tradeTime;
   @ApiModelProperty("支付类型")
   private Integer payType;
   @ApiModelProperty("支付介质 卡、脸、指纹等")
   private String payMedium;
   @ApiModelProperty("支付状态 1-未支付 2-支付中 3-支付成功 4- 支付失败")
   private Integer payState;
   @ApiModelProperty("充值状态 1-创建 2-生效 3-已撤销 4-关闭")
   private Integer rechargeState;
   @ApiModelProperty("关联充值id")
   private Long relateRechargeId;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("充值金额")
   private Long rechargeAmount;
   @ApiModelProperty("个人钱包赠送金额")
   private Long walletBalGift;
   @ApiModelProperty("补贴钱包赠送金额")
   private Long subsidyBalGift;
   @ApiModelProperty("红包赠送金额")
   private Long redEnvelopeGift;
   @ApiModelProperty("管理费")
   private Long manageCost;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Long getId() {
      return this.id;
   }

   public Long getRechargeId() {
      return this.rechargeId;
   }

   public Long getAccId() {
      return this.accId;
   }

   public Long getSummId() {
      return this.summId;
   }

   public Integer getAccType() {
      return this.accType;
   }

   public Long getAmount() {
      return this.amount;
   }

   public Long getAccBal() {
      return this.accBal;
   }

   public Integer getTradeType() {
      return this.tradeType;
   }

   public LocalDateTime getTradeTime() {
      return this.tradeTime;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public String getPayMedium() {
      return this.payMedium;
   }

   public Integer getPayState() {
      return this.payState;
   }

   public Integer getRechargeState() {
      return this.rechargeState;
   }

   public Long getRelateRechargeId() {
      return this.relateRechargeId;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Long getRechargeAmount() {
      return this.rechargeAmount;
   }

   public Long getWalletBalGift() {
      return this.walletBalGift;
   }

   public Long getSubsidyBalGift() {
      return this.subsidyBalGift;
   }

   public Long getRedEnvelopeGift() {
      return this.redEnvelopeGift;
   }

   public Long getManageCost() {
      return this.manageCost;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setRechargeId(final Long rechargeId) {
      this.rechargeId = rechargeId;
   }

   public void setAccId(final Long accId) {
      this.accId = accId;
   }

   public void setSummId(final Long summId) {
      this.summId = summId;
   }

   public void setAccType(final Integer accType) {
      this.accType = accType;
   }

   public void setAmount(final Long amount) {
      this.amount = amount;
   }

   public void setAccBal(final Long accBal) {
      this.accBal = accBal;
   }

   public void setTradeType(final Integer tradeType) {
      this.tradeType = tradeType;
   }

   public void setTradeTime(final LocalDateTime tradeTime) {
      this.tradeTime = tradeTime;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayMedium(final String payMedium) {
      this.payMedium = payMedium;
   }

   public void setPayState(final Integer payState) {
      this.payState = payState;
   }

   public void setRechargeState(final Integer rechargeState) {
      this.rechargeState = rechargeState;
   }

   public void setRelateRechargeId(final Long relateRechargeId) {
      this.relateRechargeId = relateRechargeId;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setRechargeAmount(final Long rechargeAmount) {
      this.rechargeAmount = rechargeAmount;
   }

   public void setWalletBalGift(final Long walletBalGift) {
      this.walletBalGift = walletBalGift;
   }

   public void setSubsidyBalGift(final Long subsidyBalGift) {
      this.subsidyBalGift = subsidyBalGift;
   }

   public void setRedEnvelopeGift(final Long redEnvelopeGift) {
      this.redEnvelopeGift = redEnvelopeGift;
   }

   public void setManageCost(final Long manageCost) {
      this.manageCost = manageCost;
   }


}
